Bug 115150 - [maintainer update] mail/libetpan upgrade to 0.50
Summary: [maintainer update] mail/libetpan upgrade to 0.50
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-02 17:50 UTC by Pawel Pekala
Modified: 2007-08-22 12:41 UTC (History)
0 users

See Also:


Attachments
libetpan.diff (1.20 KB, patch)
2007-08-02 17:50 UTC, Pawel Pekala
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala 2007-08-02 17:50:01 UTC

- upgrade to 0.50
Comment 1 Martin Wilke freebsd_committer 2007-08-02 18:22:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Pawel Pekala 2007-08-03 19:20:08 UTC
 Version 0.51 was released today, patch follows...

diff -u /usr/ports/mail/libetpan/Makefile libetpan/Makefile
--- /usr/ports/mail/libetpan/Makefile   Thu Jul  5 19:33:55 2007
+++ libetpan/Makefile   Fri Aug  3 20:15:35 2007
@@ -7,8 +7,7 @@
 #

 PORTNAME=      libetpan
-PORTVERSION=   0.49
-PORTREVISION=  2
+PORTVERSION=   0.51
 CATEGORIES=    mail
 MASTER_SITES=  ${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=    ${PORTNAME}
@@ -17,11 +16,10 @@
 COMMENT=       A mail library

 USE_ICONV=     yes
-USE_AUTOTOOLS= libtool:15 autoconf:259
-CONFIGURE_TARGET=      --build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
+USE_AUTOTOOLS= libtool:15 autoconf:261
 CONFIGURE_ENV= CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
 USE_LDCONFIG=  yes
-USE_GMAKE=     YES
+USE_GMAKE=     yes

 CPPFLAGS=      -I${LOCALBASE}/include ${PTHREAD_CFLAGS}
 LDFLAGS=       -L${LOCALBASE}/lib ${PTHREAD_LIBS}
diff -u /usr/ports/mail/libetpan/distinfo libetpan/distinfo
--- /usr/ports/mail/libetpan/distinfo   Fri Jan 12 17:43:16 2007
+++ libetpan/distinfo   Fri Aug  3 20:01:57 2007
@@ -1,3 +1,3 @@
-MD5 (libetpan-0.49.tar.gz) = f6c973ea1aa53d947f034e093960da10
-SHA256 (libetpan-0.49.tar.gz) = 4d7257ae2cce276b2a2a66209b35ff70ff06a3ab89a2d8f2d828d7f44f78e6eb
-SIZE (libetpan-0.49.tar.gz) = 1021102
+MD5 (libetpan-0.51.tar.gz) = 6f5cd7631439637d2f34e1eb7917122d
+SHA256 (libetpan-0.51.tar.gz) = df835e22a0bc87d928b34aa889642b650f04705fbd7984c06dccddcd1aa08ac1
+SIZE (libetpan-0.51.tar.gz) = 1106628
Comment 3 Pawel Pekala 2007-08-17 17:54:20 UTC
According to project website versions 0.50 & 0.51 are somewhat broken
so we better use new 0.52 release:

diff -u /usr/ports/mail/libetpan/Makefile libetpan/Makefile
--- /usr/ports/mail/libetpan/Makefile	Thu Jul  5 19:33:55 2007
+++ libetpan/Makefile	Fri Aug 17 18:41:37 2007
@@ -7,8 +7,7 @@
 #
 
 PORTNAME=	libetpan
-PORTVERSION=	0.49
-PORTREVISION=	2
+PORTVERSION=	0.52
 CATEGORIES=	mail
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -17,14 +16,12 @@
 COMMENT=	A mail library
 
 USE_ICONV=	yes
-USE_AUTOTOOLS=	libtool:15 autoconf:259
-CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
-CONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}"
+USE_AUTOTOOLS=	libtool:15 autoconf:261
 USE_LDCONFIG=	yes
-USE_GMAKE=	YES
+USE_GMAKE=	yes
 
-CPPFLAGS=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
-LDFLAGS=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
+CFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
+LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
 
 .if defined(WITH_GNUTLS)
 LIB_DEPENDS+=	gnutls.13:${PORTSDIR}/security/gnutls
diff -u /usr/ports/mail/libetpan/distinfo libetpan/distinfo
--- /usr/ports/mail/libetpan/distinfo	Fri Jan 12 17:43:16 2007
+++ libetpan/distinfo	Fri Aug 17 18:42:13 2007
@@ -1,3 +1,3 @@
-MD5 (libetpan-0.49.tar.gz) = f6c973ea1aa53d947f034e093960da10
-SHA256 (libetpan-0.49.tar.gz) = 4d7257ae2cce276b2a2a66209b35ff70ff06a3ab89a2d8f2d828d7f44f78e6eb
-SIZE (libetpan-0.49.tar.gz) = 1021102
+MD5 (libetpan-0.52.tar.gz) = 119eb4ac27fb75540ca74d8997f7fc7f
+SHA256 (libetpan-0.52.tar.gz) = dddf7b94e3547436beca1ed5ed22616f350d7e79cd1d72c83b122c1707237525
+SIZE (libetpan-0.52.tar.gz) = 1611405
Comment 4 Martin Wilke freebsd_committer 2007-08-22 12:41:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!